Point3fi
Date: 2019-10-22

org.jmol.util

## Class Point3fi

- java.lang.Object
- - javajs.util.T3
  - - javajs.util.P3
    - - org.jmol.util.Point3fi

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, javajs.api.JSONEncodable
  Direct Known Subclasses:
    Atom

      public class Point3fi
      extends javajs.util.P3
      implements java.lang.Cloneable

  the Point3fi class allows storage of critical information involving an atom, picked bond, or measurement point, including: xyz position screen position screen radius (-1 for a simple point) index (for atoms or for an associated bond that has be picked) associated modelIndex (for measurement points)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `i` index in full collection
    `short` | `mi` model index -- may be to a trajectory
    `short` | `sD` screen diameter
    `int` | `sX` screen X
    `int` | `sY` screen Y
    `int` | `sZ` screen Z

    - ### Fields inherited from class javajs.util.T3

      `x, y, z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Point3fi()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Point3fi` | `copy()`

    - ### Methods inherited from class javajs.util.P3

      `getUnlikely, new3, newP`

    - ### Methods inherited from class javajs.util.T3

      `add, add2, add3, ave, cross, distance, distanceSquared, dot, equals, floatToIntBits, hashCode, length, lengthSquared, normalize, scale, scaleAdd2, scaleT, set, setA, setT, sub, sub2, toJSON, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mi

          public short mi

      model index -- may be to a trajectory

    - #### i

          public int i

      index in full collection

    - #### sX

          public int sX

      screen X

    - #### sY

          public int sY

      screen Y

    - #### sZ

          public int sZ

      screen Z

    - #### sD

          public short sD

      screen diameter

  - ### Constructor Detail

    - #### Point3fi

          public Point3fi()

  - ### Method Detail

    - #### copy

          public Point3fi copy()